Welcome to the ccxt wiki!

## General Information

- [Supported Exchanges](https://github.com/kroitor/ccxt/wiki/Exchange-Markets)
- [Exchanges By Country](https://github.com/kroitor/ccxt/wiki/Exchange-Markets-By-Country)

## How To Install

- [Install](https://github.com/kroitor/ccxt/wiki/Install)
  - [Node.js](https://github.com/kroitor/ccxt/wiki/Install#nodejs)
  - [Python](https://github.com/kroitor/ccxt/wiki/Install#python)
  - [PHP](https://github.com/kroitor/ccxt/wiki/Install#php)
  - [Web Browsers](https://github.com/kroitor/ccxt/wiki/Install#web-browsers)
  - [Proxy](https://github.com/kroitor/ccxt/wiki/Install#proxy)
  - [CORS (Access-Control-Allow-Origin)](https://github.com/kroitor/ccxt/wiki/Install#cors-access-control-allow-origin)

## How To Use

- [User Manual](https://github.com/kroitor/ccxt/wiki/Manual)
  - [Architecture Overview](https://github.com/kroitor/ccxt/wiki/Manual#overview)
  - [Instantiation](https://github.com/kroitor/ccxt/wiki/Manual#instantiation)
  - [Exchange Structure](https://github.com/kroitor/ccxt/wiki/Manual#exchange-structure)
  - [Exchange Properties](https://github.com/kroitor/ccxt/wiki/Manual#exchange-properties)
  - [Rate Limit](https://github.com/ccxt/ccxt/wiki/Manual#rate-limit)
  - [Markets](https://github.com/kroitor/ccxt/wiki/Manual#markets)
  - [Symbols And Market Ids](https://github.com/ccxt-dev/ccxt/wiki/Manual#symbols-and-market-ids)
  - [API Methods / Endpoints](https://github.com/kroitor/ccxt/wiki/Manual#api-methods--endpoints)
    - [Public/Private API](https://github.com/kroitor/ccxt/wiki/Manual#publicprivate-api)
    - [Synchronous vs Asynchronous Calls](https://github.com/kroitor/ccxt/wiki/Manual#synchronous-vs-asynchronous-calls)
    - [Unified API](https://github.com/kroitor/ccxt/wiki/Manual#unified-api)
  - [Market Data](https://github.com/kroitor/ccxt/wiki/Manual#market-data)
    - [Order Book / Market Depth](https://github.com/kroitor/ccxt/wiki/Manual#order-book--market-depth)
    - [Price Tickers](https://github.com/kroitor/ccxt/wiki/Manual#price-tickers)
    - [OHLCV Candlestick Charts](https://github.com/kroitor/ccxt/wiki/Manual#ohlcv-candlestick-charts)
    - [Public Trades And Closed Orders](https://github.com/kroitor/ccxt/wiki/Manual#trades-orders-executions-transactions)
  - [Trading](https://github.com/kroitor/ccxt/wiki/Manual#trading)
    - [Authentication](https://github.com/kroitor/ccxt/wiki/Manual#authentication)
    - [API Keys Setup](https://github.com/kroitor/ccxt/wiki/Manual#api-keys-setup)
    - [Querying Account Balance](https://github.com/kroitor/ccxt/wiki/Manual#querying-account-balance)
    - [Orders](https://github.com/kroitor/ccxt/wiki/Manual#orders)
      - [Querying Orders](https://github.com/kroitor/ccxt/wiki/Manual#querying-orders)
        - [By Order Id](https://github.com/ccxt-dev/ccxt/wiki/Manual#by-order-id)
        - [All Orders](https://github.com/ccxt-dev/ccxt/wiki/Manual#all-orders)
        - [Open Orders](https://github.com/ccxt-dev/ccxt/wiki/Manual#open-orders)
        - [Closed Orders](https://github.com/ccxt-dev/ccxt/wiki/Manual#closed-orders)
        - [Trades / Transactions / Fills / Executions](https://github.com/ccxt-dev/ccxt/wiki/Manual#trades--transactions--fills--executions)
      - [Order Structure](https://github.com/kroitor/ccxt/wiki/Manual#order-structure)
      - [Placing Orders](https://github.com/kroitor/ccxt/wiki/Manual#placing-orders)
        - [Market Orders](https://github.com/kroitor/ccxt/wiki/Manual#market-orders)
        - [Limit Orders](https://github.com/kroitor/ccxt/wiki/Manual#limit-orders)
        - [Custom Params](https://github.com/kroitor/ccxt/wiki/Manual#custom-order-params)
      - [Cancelling Orders](https://github.com/kroitor/ccxt/wiki/Manual#cancelling-orders)
    - [Funding Your Account](https://github.com/kroitor/ccxt/wiki/Manual#funding-your-account)
      - Deposit *(wip)*
      - [Withdraw](https://github.com/kroitor/ccxt/wiki/Manual#withdraw)
      - Transaction History (Ledger)
    - Fees *(wip)*
      - Maker / Taker Order Fees
      - Deposit / Withdraw

## Troubleshooting

- [Overriding The Nonce](https://github.com/kroitor/ccxt/wiki/Manual#overriding-the-nonce)
- [Error Handling](https://github.com/kroitor/ccxt/wiki/Manual#error-handling)
- [Troubleshooting](https://github.com/kroitor/ccxt/wiki/Manual#troubleshooting)

## Examples

- [Usage Examples](https://github.com/kroitor/ccxt/tree/master/examples) (work in progress)

## API Reference

- API Reference (under construction right now!)


